<?php  if ( ! defined('BASEPATH')) exit('Accés denegat');

$config = array(
    'auth/autenticar' => array(
        array(
            'field' => 'usuari',
            'label' => 'Usuari',
            'rules' => 'trim|required'
             ),
        array(
            'field' => 'contrasenya',
            'label' => 'Contrasenya',
            'rules' => 'trim|required|min_length[6]'
             )
    ),
    'perfil/canvi_contrasenya' => array(
        array(
            'field' => 'contrasenya',
            'label' => 'Nova Contrasenya',
            'rules' => 'trim|required|matches[contrasenya2]|min_length[6]|max_length[15]'
             ),
        array(
            'field' => 'contrasenya2',
            'label' => 'Confirmar contrasenya',
            'rules' => 'trim|required'
             )
    ),
    'perfil/canvi_mail' => array(
        array(
            'field' => 'mail',
            'label' => ' ',
            'rules' => 'trim|required|valid_email'
             )
    ),
    'solicitant/incidencies/guarda_incidencia' => array(
        array(
            'field' => 'motiu',
            'label' => 'Motiu',
            'rules' => 'required'
             ),
        array(
            'field' => 'titol',
            'label' => 'Títol',
            'rules' => 'trim|min_length[3]|max_length[60]'
             ),
        array(
            'field' => 'descripcio',
            'label' => 'Descripció',
            'rules' => 'trim|required'
             ),
        array(
            'field' => 'prioritat',
            'label' => 'Prioritat',
            'rules' => 'required'
             )
    ),
    'solicitant/incidencies/guarda_nota_seguiment' => array(
        array(
            'field' => 'nota',
            'label' => ' ',
            'rules' => 'trim|required'
             )
    ),
    'gestor/incidencies/guarda_nota_seguiment' => array(
        array(
            'field' => 'nota',
            'label' => ' ',
            'rules' => 'trim|required'
             ),
        array(
            'field' => 'tipus_nota',
            'label' => 'Tipus nota seguiment',
            'rules' => 'trim|required'
             )
    ),
    'admin/usuaris/guarda_usuari' => array(
        array(
            'field' => 'id_usuari',
            'label' => 'Identificador',
            'rules' => 'trim|required|alpha_dash|min_length[3]|max_length[15]|is_unique[usuari.id_usuari]|xss_clean'
             ),
        array(
            'field' => 'nom',
            'label' => 'Nom',
            'rules' => 'trim|required|min_length[2]|max_length[45]|callback__alpha_dash_space'
             ),
        array(
            'field' => 'cognoms',
            'label' => 'Cognoms',
            'rules' => 'trim|required|min_length[2]|max_length[100]|callback__alpha_dash_space'
             ),
        array(
            'field' => 'email',
            'label' => 'Correu electrònic',
            'rules' => 'trim|required|valid_email'
             ),
        array(
            'field' => 'rol',
            'label' => 'Rol',
            'rules' => 'trim|required'
             )
    ),
    'admin/usuaris/actualitza_usuari' => array(
        array(
            'field' => 'nom',
            'label' => 'Nom',
            'rules' => 'trim|required|min_length[2]|max_length[45]|callback__alpha_dash_space'
             ),
        array(
            'field' => 'cognoms',
            'label' => 'Cognoms',
            'rules' => 'trim|required|min_length[2]|max_length[100]|callback__alpha_dash_space'
             ),
        array(
            'field' => 'email',
            'label' => 'Correu electrònic',
            'rules' => 'trim|required|valid_email'
             ),
        array(
            'field' => 'rol',
            'label' => 'Rol',
            'rules' => 'trim|required'
             )
    ),
    'gestor/pf/guarda_pf' => array(
        array(
            'field' => 'pregunta',
            'label' => 'Pregunta',
            'rules' => 'trim|required'
             ),
        array(
            'field' => 'solucio',
            'label' => 'Resposta',
            'rules' => 'trim|required'
             ),
        array(
            'field' => 'etiquetes',
            'label' => 'Etiquetes',
            'rules' => 'trim|required'
             )
    )
);

/* End of file form_validation.php */
/* Location: ./application/config/form_validation.php */