<?php 
/**
 * Controlador preguntes freqüents del rol sol·licitant
 */

if (!defined('BASEPATH')) exit('Accés denegat');

class Pf_solicitant extends Solicitant_Controller {

	public function __construct() {
		parent::__construct();
        $this->load->model('pf_model');
	}
	
	/**
     * Llistat i filtre de preguntes freqüents, carrega vista principal
     */
    public function index()
    {   
        $filtres = array();
        $filtres['text'] = $this->input->post('text');
        
        $this->load->library('pagination');
        $config['base_url'] = site_url('solicitant/pf');
        $config['per_page'] = '15';
        $config['uri_segment'] = '3';
        $config['total_rows'] = count($this->pf_model->get_pfs($filtres));
        $this->pagination->initialize($config);
        $inici = ($this->uri->segment(3)) ? $this->uri->segment(3) : 0;
        
        $this->data['pfs'] = $this->pf_model->get_pfs($filtres, $config['per_page'], $inici, 'visites');
        $this->data['pfs_total'] = $config['total_rows'];
        $this->data['paginacio'] = $this->pagination->create_links();
        
        $this->data['extraHead'] = '<link href="'.asset_url().'css/bootstrap-rowlink.min.css" rel="stylesheet">
                                    <script type="text/javascript" src="'.asset_url().'js/bootstrap-rowlink.min.js"></script>';
        $this->data['page_title'] = 'Preguntes freqüents';
        $this->data['subview'] = 'solicitant/pf/pf';
        $this->load->view('template/layout', $this->data);
    }
    
    /**
     * Carrega les dades d'una PF i les passa a la vista corresponent,
     * incrementant el nombre de visites.
     * @param {string} $id_preguntaFrquent Id PF
     */
    public function veure_pf($id_preguntaFrquent, $iframe = false)
    {
        $this->data['pf'] = $this->pf_model->get_pf($id_preguntaFrquent);
        
        // Sense ID PF o ID no trobada
        if (!$this->data['pf'])
        {
            $this->messages->add("No s'ha especificat una pregunta freqüent vàlida", 'error', TRUE);
            redirect('solicitant/pf');
        }

        $this->pf_model->registra_visita($id_preguntaFrquent);
        if ($iframe)
        {
            $this->data['extraHead'] = '<link href="'.asset_url().'css/bootstrap.min.css" rel="stylesheet">
                                        <link rel="stylesheet" href="'.asset_url().'css/main.css"/>';
        }
        $this->load->view('solicitant/pf/veure_pf', $this->data);
    }
    
    public function veure_pfs_relacionades($id_motiu)
    {
        $pfs_relacionades = $this->pf_model->get_pfs_relacionades($id_motiu);
        if ($pfs_relacionades)
        {
            echo '<i>Preguntes freqüents relacionades:</i><br/>';
            foreach ($pfs_relacionades as $pf)
            {
                ?>
                <i class="icon-star"></i>&nbsp;&nbsp;
                <a href="<?php echo site_url('solicitant/pf/veure_pf/'.$pf->id_preguntaFrequent); ?>" data-toggle="modal" data-target="#modal-veure-pf">
                    <?php echo $pf->pregunta; ?>
                </a>
                <br/>
                <?php
            }
        }
        else
        {
            echo "<i>No hi ha preguntes freqüents relacionades</i>";
        }
    }
}

/* End of file pf.php */
/* Location: ./application/controllers/solicitant/pf.php */