<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

if (!function_exists('asset_url')) {
    /**
     * Retorna la URL base dels assets (css, js, img)
     * @return {string} url
     */
    function asset_url() {
        return base_url() . 'assets/';
    }

}

if (!function_exists('show_if')) {
    /**
     * Mostra el contingut d'una variable si aquesta existeix, sinó mostra una
     * alternativa (opcional). També opcionalment es pot indicar una cadena per
     * anar al davant i al darrera de la variable.
     * @param {string} $html Variable a evaluar si està buida o no
     * @param {string} $prefix String davant de la variable
     * @param {string} $sufix Strint darrera la variable
     * @param {string} $default Cadena a retornar si la variable $html és buida
     * @return {string} Contingut final
     */
    function show_if($html = '', $prefix = '', $sufix = '', $default = '') {
        return (!empty($html)) ? $prefix . $html . $sufix : $default;
    }

}

if (!function_exists('current_controller')) {
    /**
     * Si el controlador indicat és el carregat actualment retorna 'active',
     * altrament cadena buida.
     * @param {string} $controller_method
     * @return {string}
     */
    function current_controller($controller_method) {
        $ci =& get_instance();
        if ($controller_method === uri_string()) {
            return 'active';
        } else {
            return '';
        }
    }

}

/* End of file utility_helper.php */
/* Location: ./application/helpers/utility_helper.php */