<div class='center'>
    <h1>Informes i estadístiques</h1>
</div>

<?php echo $this->messages->output(); ?>

<div class="row-fluid" id="informes">
    <span class="well span3 totals">
        <span class="icon-info-sign"></span>
        <div>Total incidències obertes</div>
        <div><?php echo $total_incidencies_obertes; ?></div>
    </span>

    <span class="well span3 totals">
        <span class="icon-info-sign"></span>
        <div>Total incidències tancades</div>
        <div><?php echo $total_incidencies_tancades; ?></div>
    </span>

    <span class="well span3 totals">
        <span class="icon-question-sign"></span>
        <div>Total preguntes freqüents</div>
        <div><?php echo $total_pfs; ?></div>
    </span>

    <span class="well span3 totals">
        <span class="icon-user"></span>
        <div>Total usuaris actius</div>
        <div><?php echo $total_usuaris_actius; ?></div>
    </span>
</div>			

<div class="row-fluid">
    <div class="box content-base span6">
        <div class="box-header well">
            <h2>
                Càrrega per departament
            </h2>
        </div>
        <div class="box-content">
            <div id="stats-incidencies" style="width:100%; height:400px;"></div>
        </div>
    </div>

    <div class="box content-base span6">
        <div class="box-header well">
            <h2>
                TOP Motius
            </h2>
        </div>
        <div class="box-content">
            <div id="stats-motius" style="width:100%; height:400px;"></div>
        </div>
    </div>
</div>

<div class="row-fluid">
    <div class="box content-base span6">
        <div class="box-header well">
            <h2>
                Càrrega actual de treball
            </h2>
        </div>
        <div class="box-content">
            <div id="stats-gestors">
                <strong>Incidències obertes per gestor (TOP 10):</strong><br/><br/>
                <ul>
                <?php
                foreach($carrega_gestors as $carrega_gestor)
                {
                    ?>
                    <li><?php echo $carrega_gestor->gestor; ?>: <?php echo $carrega_gestor->obertes;?></li>
                    <?php
                }
                ?>
                </ul>
            </div>
        </div>
    </div>
    <div class="box content-base span6">
        <div class="box-header well">
            <h2>
                Activitat en temps real (20 segons)
            </h2>
        </div>
        <div class="box-content">
            <div id="stats-activitat" style="width:100%; height:400px;"></div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {
        // Incidències per departaments
        $('#stats-incidencies').highcharts({
            chart: {
                type: 'bar'
            },
            title: {
                text: 'Incidències per departament'
            },
            xAxis: {
                categories: [<?php echo $departaments; ?>]
            },
            yAxis: {
                title: {
                    text: 'Nº incidències'
                }
            },
            series: [{
                name: 'Tancades (30 dies)',
                data: [<?php echo $departament_incidencies_tancades; ?>]
            }, {
                name: 'Obertes',
                data: [<?php echo $departament_incidencies_obertes; ?>]
            }],
            credits : {
                enabled : false
            }
        });
        
        // TOP Motius
        $('#stats-motius').highcharts({
            chart: {
                plotBackgroundColor: null,
                plotBorderWidth: null,
                plotShadow: false
            },
            title: {
                text: 'Motius més utilitzats (30 dies)'
            },
            credits : {
                enabled : false
            },
            tooltip: {
                formatter: function () {
                               return this.point.name + ': <b>' + Highcharts.numberFormat(this.percentage, 1) + '%</b>';
                           }
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    dataLabels: {
                        enabled: true,
                        color: '#000000',
                        connectorColor: '#000000',
                        formatter: function() {
                            return '<b>'+ this.point.name.substring(0,10) +'...</b>';
                        }
                    }
                }
            },
            series: [{
                type: 'pie',
                name: 'Incidències',
                data: [
                    <?php
                    foreach ($motius_incidencies as $mi)
                    {
                        ?>
                        ["<?php echo $mi['motiu']; ?>", <?php echo $mi['incidencies']; ?>],
                        <?php
                    }
                    ?>
                    
                ]
            }]
        });
        
        Highcharts.setOptions({
            global: {
               useUTC: false
            }
         });
        
        // Activitat temps real
        var chart = new Highcharts.Chart({
            chart: {
                renderTo: 'stats-activitat',
                type: 'spline',
                animation: Highcharts.svg, // no anima en antics IE
                marginRight: 10,
                events: {
                    load: function() {
                        var series = this.series[0];
                        setInterval(function() {
                            $.ajax({
                                url : '<?php echo site_url('admin/informes/get_activitat'); ?>',
                                dataType : 'json',
                                error : function() {
                                    alert("Error ajax en admin/informes/get_activitat");
                                },
                                success : function(data) {
                                    var x = (new Date()).getTime(),
                                        y = data;
                                    series.addPoint([x, y], true, true);
                                }
                            });
                        }, 20000);
                    }
                }
            },
            credits : {
                enabled : false
            },
            exporting : {
                enabled : false
            },
            title: {
                text: 'Noves incidències i actualitzacions'
            },
            xAxis: {
                type: 'datetime',
                tickPixelInterval: 100
            },
            yAxis: {
                title: {
                    text: 'Incidències i actualitzacions'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
            legend: {
                enabled: false
            },
            series: [{
                name: 'Incidències i actualitzacions',
                data: (function() {
                    var data = [],
                        time = (new Date()).getTime(),
                        i;
                    for (i = -9; i <= 1; i++) {
                        data.push({
                            x: time + i * 20000,
                            y: null
                        });
                    }
                    data.push({
                            x: time,
                            y: <?php echo $activitat_actual; ?>
                        });
                    return data;
                })()
            }]
        });
    });
</script>