<div class='center'>
    <h1>Gestió d'usuaris</h1>
</div>

<?php echo $this->messages->output(); ?>

<div class="box content-base row">
    <div class="box-header well">
        <h2>
            <i class="icon-filter"></i>
            Filtres
        </h2>
        <div class="box-icon">
            <a href="#" class="btn btn-round tetooltip" id="btoFiltres"><i class="icon-chevron-down"></i></a>
        </div>
    </div>
    <div class="box-content" style="display: none;">
        <?php echo form_open('admin/usuaris', array('class' => 'form-horizontal')); ?>
        <div class="span5 control-group">
            Usuari / Noms:&nbsp;
            <input type="text" id="text" name="text" data-typeahead-url="<?php echo site_url('gestor/incidencies/autocomplete_usuari'); ?>" value="<? echo set_value('text'); ?>" maxlength="20" autocomplete="off" placeholder="Cerca per nom, cognoms o ID">
        </div>
        <div class="span3 control-group">
            Rol:&nbsp;
            <?php $sel = ($this->input->post('rol')) ? $this->input->post('rol') : ''; ?>
            <?php echo form_dropdown('rol', $rols, $sel, 'class="input-medium"'); ?>
        </div>
        <div class="span3 control-group right">
            <button type="reset" class="btn" onClick="window.location.href = window.location.pathname;">Reiniciar</button>
            <button type="submit" class="btn btn-primary">Filtrar</button>
        </div>
        <?php echo form_close(); ?>
    </div>
</div>

<?php if (count($usuaris)>0) { ?>
    <h3 class="center">
        <?php echo $usuaris_total; ?> usuaris
        <span class="right" style="margin-left: -90px;">
            <a href='<?php echo site_url('admin/usuaris/nou_usuari'); ?>' class="btn btn-primary"><i class="icon-plus icon-white"></i> Nou usuari</a>
        </span>
    </h3>
    <div id="content" class="row content-base" style="padding: 0px;">
        <table class="table table-hover table-bordered table-striped" data-provides="rowlink" style="margin-bottom: 0px;">
            <thead>
                <tr>
                    <th>Usuari</th>
                    <th>Nom</th>
                    <th>Mail</th>
                    <th>Rol</th>
                    <th>Departament</th>
                    <th style="width: 1%;">Actiu</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($usuaris as $usuari) { ?>
                <tr>
                    <td>
                        <a href="<?php echo site_url('admin/usuaris/editar_usuari/'.$usuari->id_usuari); ?>" class="rowlink">
                            <?php echo $usuari->id_usuari; ?>
                        </a>
                    </td>
                    <td>
                        <?php
                        echo substr($usuari->nom.' '.$usuari->cognoms, 0, 55);
                        if (strlen($usuari->nom.' '.$usuari->cognoms) > 55)
                        {
                            echo " ...";
                        }
                        ?>
                    </td>
                    <td>
                        <?php echo $usuari->email; ?>
                    </td>
                    <td>
                        <?php echo $usuari->rol; ?>
                    </td>
                    <td>
                        <?php if ($usuari->rol_id !== '1') echo $usuari->departament; ?>
                    </td>
                    <td style='text-align: center;'>
                        <?php
                        if ($usuari->data_baixa!==NULL && strtotime($usuari->data_baixa)<=strtotime(date("Y-m-d"))) echo '<i class="icon-remove"></i>';
                        else echo '<i class="icon-ok"></i>';
                        ?>
                    </td>
                </tr>
                <?php } ?>
            </tbody>
        </table>
    </div>
    <?php echo $paginacio; ?>
<?php } else { ?>
    <div id="content" class="row content-base" >   
        <h3>No hi ha cap usuari</h3>
    </div>
<?php } ?>

<script type='text/javascript'>
    $(document).ready(function() {
        $("#btoFiltres").click(function () {
            $(".box-content").toggle();
        });
        $(':input[data-typeahead-url]').each(function(){
            var $this = $(this);    
            $this.typeahead({
                source: function (query, process) {
                    $.get($this.attr('data-typeahead-url'), { q: query, rol: $('#rol').attr('id') }, function (data) {
                        usuaris = [];
                        mapped = {};

                        data = JSON.parse(data.trim()); // Necessari per culpa de la codificació amb BOM

                        $.each(data, function (i, usuari) {
                            mapped[usuari.nom] = usuari;
                            usuaris.push(usuari.nom)
                        })

                        process(usuaris);
                    })
                },
                updater: function (usuari) {
                    usuari_seleccionat = mapped[usuari].id_usuari;
                    return usuari_seleccionat;
                },
                matcher: function (usuari) {
                    if (usuari.toLowerCase().indexOf(this.query.trim().toLowerCase()) != -1) {
                        return true;
                    }
                },
                sorter: function (usuaris) {
                    return usuaris.sort();
                },
                highlighter: function (usuari) {
                    var regex = new RegExp( '(' + this.query + ')', 'gi' );
                    return usuari.replace( regex, "<strong>$1</strong>" );
                },
            });
        });
    });
</script>