<div class='center'>
    <h1>Incidència #<?php echo $incidencia->id_incidencia; ?></h1>
</div>

<?php echo $this->messages->output(); ?>

<ul class="nav nav-tabs" id="tabs">
    <li class="active"><a href="#dades" data-toggle="tab">Dades</a></li>
    <li><a href="#notes" data-toggle="tab">Notes Seguiment</a></li>
    <li><a href="#solucio" data-toggle="tab">Solució</a></li>
    <li><a href="#actualitzacions" data-toggle="tab">Actualitzacions</a></li>
</ul>

<div id="content" class="tab-content content-base">
    <!-- Dades incidència -->
    <div class="tab-pane fade in active" id="dades">
        <div class="page-header">
            <div class="row-fluid">
                <div class="span9">
                    <h2>
                        <?php echo $incidencia->titol; ?>
                        <br/><small>Motiu: <?php echo $incidencia->motiu_descripcio; ?></small>
                    </h2>
                </div>
                <div class="span3 right">
                    <h2>
                        <small><?php echo date("d/m/Y H:i", strtotime($incidencia->added_on)); ?></small>
                        <img src="<?php echo asset_url(); ?>uploads/fotos_perfil/<?php echo $incidencia->solicitant_foto; ?>"
                            class="img-rounded tetooltip foto-perfil" title="<?php echo $incidencia->solicitant_nom.' ('.$incidencia->solicitant.')'; ?>" />
                    </h2>
                </div>
            </div>
        </div>
        <div class='row-fluid'>
            <div class="span8">
                <?php echo $incidencia->descripcio; ?>
                <?php if ($incidencia->fitxer_adjunt) { ?>
                    <div class="center">
                        <br/>
                        <i class="icon-download-alt"></i>
                        Adjunt: <a href="<?php echo asset_url() . 'uploads/adjunts_incidencia/' .$incidencia->fitxer_adjunt; ?>" target="_blank"><?php echo $incidencia->fitxer_adjunt; ?></a>
                    </div>
                <? } ?>
            </div>
            <div class='span4'>
                <div class="well">
                    <div class="row-fluid">
                        <div class="span8">
                            <strong>Estat:</strong>
                            <span id="nou_estat" class="label estat-<?php echo $incidencia->estat; ?>"><?php echo $incidencia->estat_nom; ?></span>
                        </div>
                        <?php if ($incidencia->estat === "4" && time() <= strtotime($incidencia->updated_on) + config_item('hores_reobre_incidencia')*3600) { ?>
                        <div class="span4 right" id="div-reobrir">
                            <a class="reobrir" href="#"><i class="icon-wrench tetooltip" title="Reobrir incidència"></i></a>
                        </div>
                        <?php } ?>
                    </div>
                    <div class="row-fluid">
                        <div class="span8">
                            <strong>Prioritat:</strong> 
                            <span id="nova_prioritat" class="badge prioritat-<?php echo $incidencia->prioritat; ?>"><?php echo ucfirst($incidencia->prioritat); ?></span>
                        </div>
                        <div class="span4 right" id="div-canvi-prioritat" <?php if ($incidencia->estat === "4") echo 'style="display: none";'; ?>>
                            <a href="#canvi-prioritat" data-toggle='modal'><i class="icon-wrench tetooltip" title="Canviar prioritat"></i></a>
                        </div>
                    </div>
                    <div class="row-fluid">
                        <div class="span8 tetooltip" id="nou_gestor_div" title="<?php echo $incidencia->gestor_nom; ?>">
                            <strong>Gestor:</strong> 
                            <span id="nou_gestor"><?php echo ($incidencia->gestor_assignat) ? $incidencia->gestor_assignat : 'No assignada'; ?></span>
                        </div>
                        <div class="span4 right" id="div-canvi-assignacio" <?php if ($incidencia->estat === "4") echo 'style="display: none";'; ?>>
                            <a href="#canvi-assignacio" data-toggle='modal'><i class="icon-wrench tetooltip" title="Canviar assignació"></i></a>
                        </div>
                    </div>
                    <div class="row-fluid">
                        <div class="span12">
                            <strong>Departament:</strong>
                            <span id="nou_departament"><?php echo $incidencia->departament; ?></span>
                        </div>
                    </div>
                </div>
                
                <div class="center">
                    <small>
                        Actualitzada:  <?php echo date('d/m/Y H:i:s', strtotime($incidencia->updated_on)); ?>
                    </small>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Notes seguiment -->
    <div class="tab-pane fade" id="notes">
        <?php if ($incidencia->estat !== "4") { ?>
        <p class="right"><a href='#nota-seguiment' data-toggle='modal' class="btn btn-primary"><i class="icon-plus icon-white"></i> Afegir nota</a></p>
        <?php } ?>
        <div id="notes-seguiment">
            <!-- Ajax -->
        </div>
    </div>

    <!-- Solució -->
    <div class="tab-pane fade" id="solucio">
        <?php if ($incidencia->estat !== "4") { ?>
        <p class="right"><a href='#nova-solucio' data-toggle='modal' class="btn btn-primary"><i class="icon-plus icon-white"></i> Afegir solució</a></p>
        <?php } ?>
        <div id="solucions">
            <!-- Ajax -->
        </div>
    </div>
    
    <!-- Actualitzacions -->
    <div class="tab-pane fade" id="actualitzacions">
        <!-- Ajax -->
    </div>
</div>

<!-- MODAL Canviar assignació -->
<div id='canvi-assignacio' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Canvi assignació</h3>
    </div>
    <?php echo form_open('', array('class' => 'form-horizontal', 'id' => 'form-canvi-assignacio')); ?>
    <input type="hidden" name="incidencia" value="<?php echo $incidencia->id_incidencia; ?>">
    <div class='modal-body'>
        <span id='errors-canvi-assignacio'></span>
        <div class="center">
            <div class='control-group'>
                <label class='control-label' for="departament">Departament:</label>
                <div class='controls'>
                    <?php echo form_dropdown('departament', $departaments, $incidencia->departament_assignat, 'id="departaments"'); ?>
                </div>
            </div>
            <div class='control-group'>
                <label class='control-label' for="titol">Gestor:</label>
                <div class='controls'>
                    <?php echo form_dropdown('gestor', $gestors, $incidencia->gestor_assignat, 'id="gestors"'); ?>
                </div>
            </div>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true'
                onClick='this.form.reset(); $("#errors-canvi-assignacio").html("");'>
            Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-canvi-assignacio' data-loading-text="Desant...">Desar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<!-- MODAL Canviar prioritat -->
<div id='canvi-prioritat' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Canvi prioritat</h3>
    </div>
    <?php echo form_open('', array('class' => 'form-horizontal', 'id' => 'form-canvi-prioritat')); ?>
    <input type="hidden" name="incidencia" value="<?php echo $incidencia->id_incidencia; ?>">
    <div class='modal-body'>
        <span id='errors-canvi-prioritat'></span>
        <div class="center">
            <div class='control-group'>
                <label class='control-label' for="prioritat">Prioritat:</label>
                <div class='controls'>
                    <?php $prioritats = array('baixa' => 'Baixa', 'normal' => 'Normal', 'alta' => 'Alta'); ?>
                    <?php echo form_dropdown('prioritat', $prioritats, $incidencia->prioritat, 'id="prioritat"'); ?>
                </div>
            </div>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true'
                onClick='this.form.reset(); $("#errors-canvi-prioritat").html("");'>
            Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-canvi-prioritat' data-loading-text="Desant...">Desar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<!-- MODAL Afegir nota seguiment -->
<div id='nota-seguiment' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Nova nota de seguiment</h3>
    </div>
    <?php echo form_open('', array('class' => 'form-horizontal', 'id' => 'form-nota-seguiment')); ?>
    <input type="hidden" name="incidencia" value="<?php echo $incidencia->id_incidencia; ?>">
    <input type="hidden" name="solicitant" id="solicitant" value="<?php echo $incidencia->solicitant; ?>">
    <input type="hidden" name="estat" id="estat" value="<?php echo $incidencia->estat; ?>">
    <input type="hidden" name="tipus_nota" id="tipus_nota" value="">
    <div class='modal-body'>
        <span id='errors-nota-seguiment'></span>

        <div class="center">
            <div class="btn-group" data-toggle="buttons-radio">
                <button type="button" class="btn" id="botoGestor">Nota privada</button>
                <button type="button" class="btn" id="botoFeedback">Informar al sol·licitant</button>
            </div>
            <br/>
            <label class="checkbox inline" id="enespera_div" style="display: none">
                <input type="checkbox" name="enespera" id="enespera" value="si"> Canviar estat a "En espera"
            </label>
            <br/><br/>
            <textarea name='nota' id='nota' class="span6" required placeholder='Contingut de la nota de seguiment' rows="4"></textarea>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true' onClick='this.form.reset();
                    $("#errors-nota-seguiment").html("");'>Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-nota-seguiment' data-loading-text="Desant...">Desar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<!-- MODAL Afegir solució -->
<div id='nova-solucio' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Nova solució</h3>
    </div>
    <?php echo form_open('', array('class' => 'form-horizontal', 'id' => 'form-nova-solucio')); ?>
    <input type="hidden" name="incidencia" value="<?php echo $incidencia->id_incidencia; ?>">
    <input type="hidden" name="solicitant" id="solicitant" value="<?php echo $incidencia->solicitant; ?>">
    <input type="hidden" name="estat" id="estat" value="<?php echo $incidencia->estat; ?>">
    <div class='modal-body'>
        <span id='errors-nova-solucio'></span>
        <div class="center">
            <textarea name='nota' id='nota' class="span6" required placeholder='Explica la solució a la incidència' rows="4"></textarea>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true' onClick='this.form.reset();
                    $("#errors-nova-solucio").html("");'>Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-nova-solucio' data-loading-text="Desant...">Desar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<script type='text/javascript'>
    $(document).ready(function() {
        // Carrega notes seguiment i solucions
        $("#notes-seguiment").load("<?php echo base_url('incidencies/veure_notes_seguiment/'.$incidencia->id_incidencia); ?>");
        $("#solucions").load("<?php echo base_url('incidencies/veure_solucions/'.$incidencia->id_incidencia); ?>");
        $("#actualitzacions").load("<?php echo base_url('gestor/incidencies/veure_taula_actualitzacions/'.$incidencia->id_incidencia); ?>");
        
        // Permet enllaç directament a pestanyes
        handleTabLinks();
        
        // Dropdowns assignació departaments i gestors
        $('#departaments').change(function(){
            var departament = $('#departaments').val();
            if (departament !== ""){
                var post_url = "<?php echo base_url(); ?>gestor/incidencies/get_gestors_departament/" + departament;
                $.ajax({
                    type: "POST",
                    data: { 
                        <?php echo $this->security->get_csrf_token_name(); ?>: '<?php echo $this->security->get_csrf_hash(); ?>'},
                    url: post_url,
                    success: function(gestors)
                    {
                        $('#gestors').empty();
                        $.each(gestors,function(id,nom) 
                        {
                             var opt = $('<option />');
                             opt.val(id);
                             opt.text(nom);
                             $('#gestors').append(opt); 
                        });
                    }
                });
            } else {
                $('#gestors').empty();
            }
        });
        
        // Formulari Canvi assignació
        $('#form-canvi-assignacio').submit(function(e) {
            e.preventDefault();

            $.ajax({
                type: 'post',
                url: '<?php echo base_url('gestor/incidencies/guarda_canvi_assignacio'); ?>',
                cache: false,
                data: $('#form-canvi-assignacio').serialize(),
                dataType: 'json',
                beforeSend: function()
                {
                    $('#errors-canvi-assignacio').html('');
                    $('#submit-canvi-assignacio').button('loading');
                },
                complete: function()
                {
                    $('#submit-canvi-assignacio').button('reset');
                },
                success: function(result)
                {
                    if (result.status === 'ok')
                    {
                        $('#nou_estat').html(result.estat);
                        $('#nou_gestor').html(($('#gestors').val()));
                        $('#nou_gestor_div').prop('title', $("#gestors option:selected").text());
                        $('#nou_gestor_div').data('tooltip', false);
                        $('#nou_gestor_div').tooltip();
                        $('#nou_departament').html($("#departaments option:selected").text());
                        $('#content').append('<div class="messages message-success message-fixed">Assignació realitzada correctament</div>');
                        $('#canvi-assignacio').modal('hide');
                        processaMessages();
                    }
                    else
                    {
                        $('#errors-canvi-assignacio').html('<div class="messages message-error">' + result.error + '</div>');
                    }
                },
                error: function()
                {
                    $('#errors-canvi-assignacio').html('<div class="messages message-error">S\'ha produït un error.</div>');
                }
            });
        });
        
        // Formulari Canvi prioritat
        $('#form-canvi-prioritat').submit(function(e) {
            e.preventDefault();

            $.ajax({
                type: 'post',
                url: '<?php echo base_url('gestor/incidencies/guarda_canvi_prioritat'); ?>',
                cache: false,
                data: $('#form-canvi-prioritat').serialize(),
                dataType: 'json',
                beforeSend: function()
                {
                    $('#errors-canvi-prioritat').html('');
                    $('#submit-canvi-prioritat').button('loading');
                },
                complete: function()
                {
                    $('#submit-canvi-prioritat').button('reset');
                },
                success: function(result)
                {
                    if (result.status === 'ok')
                    {
                        $('#nova_prioritat').html($("#prioritat option:selected").text());
                        $('#nova_prioritat').removeClass('prioritat-<?php echo $incidencia->prioritat; ?>').addClass('prioritat-'+($('#prioritat').val()));
                        $('#content').append('<div class="messages message-success message-fixed">Prioritat actualitzada correctament</div>');
                        $('#canvi-prioritat').modal('hide');
                        processaMessages();
                    }
                    else
                    {
                        $('#errors-canvi-prioritat').html('<div class="messages message-error">' + result.error + '</div>');
                    }
                },
                error: function()
                {
                    $('#errors-canvi-prioritat').html('<div class="messages message-error">S\'ha produït un error.</div>');
                }
            });
        });
        
        // Reobrir
        $("a.reobrir").click(function(e) {
            e.preventDefault();
            bootbox.confirm("Confirmes reobrir la incidència?", "Cancel·lar", "D'acord", function(confirmed) {
                if (confirmed)
                {
                    $.ajax({
                        type: 'post',
                        url: '<?php echo base_url('incidencies/reobre_incidencia'); ?>',
                        cache: false,
                        data: { incidencia: "<?php echo $incidencia->id_incidencia; ?>",
                                <?php echo $this->security->get_csrf_token_name(); ?>: '<?php echo $this->security->get_csrf_hash(); ?>'},
                        dataType: 'json',
                        success: function(result)
                        {
                            if (result.status === 'ok')
                            {
                                window.location.reload();
                            }
                            else
                            {
                                $('#content').append('<div class="messages message-error message-fixed">'+result.error+'</div>');
                                processaMessages();
                            }
                        },
                        error: function(result)
                        {
                            $('#content').append('<div class="messages message-error message-fixed">'+result.error+'</div>');
                                processaMessages();
                        }
                    });
                }
            });
        });
        
        // Formulari Nova nota seguiment
        $("#botoGestor").click(function() {
            $("#tipus_nota").val('gestor');
            $("#enespera_div").fadeOut();
        });
        $("#botoFeedback").click(function() {
            $("#tipus_nota").val('feedback');
            if ($('#estat').val()!=="3")
                $("#enespera_div").fadeIn();
        });
        $('#form-nota-seguiment').submit(function(e) {
            e.preventDefault();
            
            if (!$("#tipus_nota").val()) {
                $('#errors-nota-seguiment').html('<div class="messages message-error">Cal escollir el tipus de nota: "Nota privada" o "Informar al sol·licitant"</div>');
                return false;
            }

            $.ajax({
                type: 'post',
                url: '<?php echo base_url('gestor/incidencies/guarda_nota_seguiment'); ?>',
                cache: false,
                data: $('#form-nota-seguiment').serialize(),
                dataType: 'json',
                beforeSend: function()
                {
                    $('#errors-nota-seguiment').html('');
                    $('#submit-nota-seguiment').button('loading');
                },
                complete: function()
                {
                    $('#submit-nota-seguiment').button('reset');
                },
                success: function(result)
                {
                    if (result.status === 'ok')
                    {
                        if (result.estat !== '')
                        {
                            $('#estat').val(result.estat);
                            $('#nou_estat').html(result.estat_des);
                        }
                        $('#content').append('<div class="messages message-success message-fixed">Nota afegida correctament</div>');
                        $('#nota-seguiment').modal('hide');
                        processaMessages();
                        $("#notes-seguiment").load("<?php echo site_url('incidencies/veure_notes_seguiment/'.$incidencia->id_incidencia); ?>?random=" + new Date().getTime());
                        $('#form-nota-seguiment')[0].reset();
                        $("#enespera_div").fadeOut();
                        $('.btn-group button').removeClass('active');
                    }
                    else
                    {
                        $('#errors-nota-seguiment').html('<div class="messages message-error">' + result.error + '</div>');
                    }
                },
                error: function()
                {
                    $('#errors-nota-seguiment').html('<div class="messages message-error">S\'ha produït un error.</div>');
                }
            });
        });
        
        // Formulari nova solució
        $('#form-nova-solucio').submit(function(e) {
            e.preventDefault();

            $.ajax({
                type: 'post',
                url: '<?php echo base_url('gestor/incidencies/guarda_solucio'); ?>',
                cache: false,
                data: $('#form-nova-solucio').serialize(),
                dataType: 'json',
                beforeSend: function()
                {
                    $('#errors-nova-solucio').html('');
                    $('#submit-nova-solucio').button('loading');
                },
                complete: function()
                {
                    $('#submit-nova-solucio').button('reset');
                },
                success: function(result)
                {
                    if (result.status === 'ok')
                    {
                        $('#form-nova-solucio')[0].reset();
                        window.location.reload();
                    }
                    else
                    {
                        $('#errors-nova-solucio').html('<div class="messages message-error">' + result.error + '</div>');
                    }
                },
                error: function()
                {
                    $('#errors-nova-solucio').html('<div class="messages message-error">S\'ha produït un error.</div>');
                }
            });
        });
    });
</script>
