<div class='center'>
    <h1>Portal del gestor</h1>
</div>

<?php echo $this->messages->output(); ?>

<div class="row-fluid">
    <div class="box content-base span6">
        <div class="box-header well">
            <h2>
                <i class="icon-info-sign"></i>
                Incidències assignades
            </h2>
            <div class="box-icon">
                <a href="<?php echo base_url().'gestor/incidencies/historic'; ?>" class="btn btn-round tetooltip" title="Veure-les totes"><i class="icon-align-justify"></i></a>
            </div>
        </div>
        <div class="box-content">
            <div class="accordion" id="incidencies">
                 <div class="accordion-group">
                    <div class="accordion-heading">
                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#incidencies" href="#assignades">
                            Assignades <span class="badge right"><?php echo $totals[2]; ?></span>
                        </a>
                    </div>
                    <div id="assignades" class="accordion-body collapse <?php echo desplegar(2, $totals); ?>">
                        <div class="accordion-inner">
                            <?php print_taula_incidencies($incidencies_assignades); ?>
                        </div>
                    </div>
                </div>
                <div class="accordion-group">
                    <div class="accordion-heading">
                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#incidencies" href="#espera">
                            En espera <span class="badge right"><?php echo $totals[3]; ?></span>
                        </a>
                    </div>
                    <div id="espera" class="accordion-body collapse <?php echo desplegar(3, $totals); ?>">
                        <div class="accordion-inner">
                            <?php print_taula_incidencies($incidencies_espera); ?>
                        </div>
                    </div>
                </div>
                <div class="accordion-group">
                    <div class="accordion-heading">
                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#incidencies" href="#tancades">
                            Últimes tancades <span class="badge right"><?php echo $totals[4]; ?></span>
                        </a>
                    </div>
                    <div id="tancades" class="accordion-body collapse">
                        <div class="accordion-inner">
                            <?php print_taula_incidencies($incidencies_tancades); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="box content-base span6">
        <div class="box-header well">
            <h2>
                <i class="icon-info-sign"></i>
                Incidències <?php echo $this->session->userdata('usuari')->departament_nom; ?>
            </h2>
            <div class="box-icon">
                <a href="<?php echo base_url().'gestor/incidencies/historic'; ?>" class="btn btn-round tetooltip" title="Veure-les totes"><i class="icon-align-justify"></i></a>
            </div>
        </div>
        <div class="box-content">
            <div class="accordion" id="incidencies_dep">
                 <div class="accordion-group">
                    <div class="accordion-heading">
                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#incidencies_dep" href="#noves">
                            Noves <span class="badge right"><?php echo $totals[1]; ?></span>
                        </a>
                    </div>
                    <div id="noves" class="accordion-body collapse in">
                        <div class="accordion-inner">
                            <?php print_taula_incidencies($incidencies_noves); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- MODAL Cerca incidències -->
<div id='cerca' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Cerca incidència per títol o descripció</h3>
    </div>
    <?php echo form_open('solicitant/incidencies/historic', array('class' => 'form-horizontal', 'id' => 'form-cerca')); ?>
    <div class='modal-body'>
        <span id='errors-cerca'></span>
        <div class='center'>
            <div class="input-prepend">
                <span class="add-on"><i class="icon-search"></i></span>
                <input class="span4" type="text" name="text" id="text_filtre" required />
            </div>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true' onClick='this.form.reset();
                    $("#errors-cerca").html("");'>Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-cerca' data-loading-text="Cercant...">Cercar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<?php
/**
 * Genera el codi HTML per mostrar incidències dins una taula
 * @param {array} $incidencies Incidències a mostrar dins la taula
 */
function print_taula_incidencies($incidencies)
{
    ?>
    <table class="table table-hover table-condensed" data-provides="rowlink">
        <thead>
            <tr>
                <th style="text-align: center">#</th>
                <th>Títol</th>
                <th>Actualitzada</th>
            </tr>
        </thead>
        <tbody>
            <?php
            foreach ($incidencies as $incidencia)
            {
                ?>
                <tr id="popover"
                    data-content="<strong>Prioritat: </strong>
                                <span class='badge prioritat-<?php echo $incidencia->prioritat; ?>'><?php echo ucfirst($incidencia->prioritat); ?></span>
                                <?php if ($incidencia->gestor_assignat) echo '<br/><strong>Gestor:</strong> '. $incidencia->gestor_nom; ?>
                                <br/><strong>Descripció:</strong> <?php echo substr(str_replace('"', "", $incidencia->descripcio), 0, 100); ?> ..."
                    title="Data sol·licitud: <?php echo date("d/m/Y", strtotime($incidencia->added_on)); ?>">
                    <td style="text-align: center">
                        <span class="badge prioritat-<?php echo $incidencia->prioritat; ?>">
                        <a href="<?php echo site_url('gestor/incidencies/veure_incidencia/'.$incidencia->id_incidencia); ?>" class="rowlink">
                            <?php echo $incidencia->id_incidencia; ?>
                        </a>
                        </span>
                    </td>
                    <td style="width: 70%"><?php echo substr($incidencia->titol, 0, 47); if (strlen($incidencia->titol)>47) echo " ..."; ?></td>
                    <td style="text-align: center"><?php echo date("d/m/Y", strtotime($incidencia->updated_on)); ?></td>
                </tr>
                <?php
            }
            ?>    
        </tbody>
    </table>
    <?php
}

/**
 * Retrona una classe CSS segons la qual es mostraran les incidències d'un estat
 * o un altre. Resumint, es mostra la primera caixa si té alguna incidència,
 * sinó la segona, i sinó la tercera.
 * @param {string} $estat Estat del desplegable a tractar
 * @param {array} $totals Totals d'incidències per cada estat
 * @return {string} 'in' si s'ha de mostrar, altrament res.
 */
function desplegar($estat, $totals)
{
    if ($totals[2] > 0 && $estat === 2) return "in";
    if ($totals[2] == 0 && $totals[3] > 0 && $estat === 3) return "in";
    return "";
}
?>

<script type='text/javascript'>
    $(document).ready(function() {
        $('#form-cerca').submit( function() {
            $('#submit-cerca').button('loading');
        });
    });
</script>