<div class='center'>
    <h1><?php echo $page_title; ?></h1>
</div>

<?php echo $this->messages->output(); ?>
<?php echo show_if($error, '<div class="messages message-error"><strong>', '</strong></div>'); ?>
    
<div id='content' class='row content-base'>
    <div class="span10 center">
        <?php echo form_open('gestor/pf/actualitza_pf', array('class' => 'form-horizontal', 'id' => 'form-actualitza-pf')); ?>
        <input type="hidden" name="id_preguntaFrequent" value="<?php echo $pf->id_preguntaFrequent; ?>">
        <div class='control-group <?php if (form_error('pregunta') !== '') echo 'error'; ?>'>
            <label class='control-label' for="pregunta">Pregunta:</label>
            <div class='controls'>
                <?php $sel = ($this->input->post('pregunta')) ? $this->input->post('pregunta') : $pf->pregunta; ?>
                <textarea name='pregunta' id='pregunta' placeholder='Desenvolupa la pregunta que veuran els sol·licitants' required class='span6' rows="1"><?php echo $sel; ?></textarea>
                <?php echo form_error('pregunta', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group <?php if (form_error('solucio') !== '') echo 'error'; ?>'>
            <label class='control-label' for="solucio">Resposta:</label>
            <div class='controls'>
                <?php $sel = ($this->input->post('solucio')) ? $this->input->post('solucio') : $pf->solucio; ?>
                <textarea name='solucio' id='solucio' placeholder='Desenvolupa la resposta que veuran els sol·licitants' required class='span6' rows="7"><?php echo $sel; ?></textarea>
                <?php echo form_error('solucio', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group <?php if (form_error('etiquetes') !== '') echo 'error'; ?>'>
            <label class='control-label' for="titol">Etiquetes:</label>
            <div class='controls'>
                <?php $sel = ($this->input->post('etiquetes')) ? $this->input->post('etiquetes') : $pf->etiquetes; ?>
                <input type="text" name="etiquetes" id="etiquetes" value="<?php echo $sel; ?>" pattern="^[a-zA-Z0-9-,]*$" required placeholder="Paraules clau separades per comes, sense espais" maxlength="100" class='span6' />
                <?php echo form_error('etiquetes', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group <?php if (form_error('motiu') !== '') echo 'error'; ?>'>
            <label class="control-label">Motius relacionats:</label>
            <div class="controls" style="text-align: left; padding-left: 70px;">
                <?php foreach ($motius as $id_motiu=>$desc_motiu) { ?>
                <label class="checkbox">
                    <?php $sel = ($this->input->post('motiu')) ? $this->input->post('motiu') : $motius_relacionats; ?>
                    <input type="checkbox" name="motiu[]" value="<?php echo $id_motiu; ?>" <?php if(in_array($id_motiu, $sel)) echo 'checked'; ?>> <?php echo $desc_motiu; ?>
                </label>
                <?php
                }
                ?>
            </div>
        </div>
        
        <div class="center" style="clear: both;">
        <button type="reset" class="btn" onClick="window.location = '<?php echo site_url('gestor/pf'); ?>'">Cancel·lar</button>
        <button type="submit" id="submit" class="btn btn-primary" data-loading-text="Desant...">Desar</button>&nbsp;&nbsp;
        <button class="btn btn-danger tetooltip esborrar" title="S'esborrarà la PF de la base de dades">Esborrar</button>
    </div>

        <?php echo form_close(); ?>
    </div>
</div>

<script type='text/javascript'>
    $(document).ready(function() {
        // Prepara formulari
        $('#submit').button('reset');
        
        // Feedback en enviar
        $('#form-actualitza-pf').submit( function() {
            $('#submit').button('loading');
        });
        
        // Esborrar PF
        $("button.esborrar").click(function(e) {
            e.preventDefault();
            bootbox.confirm("Confirmes esborrar la pregunta freqüent de la base de dades?", "Cancel·lar", "D'acord", function(confirmed) {
                if (confirmed)
                {
                    $.ajax({
                        type: 'post',
                        url: '<?php echo base_url('gestor/pf/esborra_pf'); ?>',
                        cache: false,
                        data: { id_preguntaFrequent: "<?php echo $pf->id_preguntaFrequent; ?>",
                                <?php echo $this->security->get_csrf_token_name(); ?>: '<?php echo $this->security->get_csrf_hash(); ?>'},
                        dataType: 'json',
                        success: function(result)
                        {
                            if (result.status === 'ok')
                            {
                                window.location = "<?php echo site_url('gestor/pf'); ?>";
                            }
                            else
                            {
                                $('#content').append('<div class="messages message-error message-fixed">'+result.error+'</div>');
                                processaMessages();
                            }
                        },
                        error: function(result)
                        {
                            $('#content').append('<div class="messages message-error message-fixed">'+result.error+'</div>');
                                processaMessages();
                        }
                    });
                }
            });
        });
    });
</script>