<div class='center'>
    <h1>Perfil</h1>
</div>

<?php echo $this->messages->output(); ?>

<div id='content' class='content-base'>
    <div class="page-header">
        <h2>
            <?php echo $usuari->nom . ' ' . $usuari->cognoms; ?><br/>
            <small>Usuari des del <?php echo date("d/m/Y", strtotime($usuari->added_on)); ?>. Última actualització:  <?php echo date("d/m/Y", strtotime($usuari->updated_on)); ?></small>
        </h2>
    </div>

    <div class='row-fluid'>
        <div class='span2'>
            <img src="<?php echo asset_url(); ?>uploads/fotos_perfil/<?php echo $usuari->foto; ?>" class='img-rounded foto-perfil' alt="Foto perfil usuari" onClick="$('#canvi-foto').modal();" />
        </div>

        <div class='span6'>
            <h4><span class='muted'>Usuari:</span> <?php echo $usuari->id_usuari; ?></h4>
            <h4><span class='muted'>Correu electrònic:</span> <?php echo $usuari->email; ?></h4>
            <h4><?php echo $incidencies_total; ?> incidències registrades, <?php echo $incidencies_obertes; ?> obertes</h4>
        </div>

        <div class='span4 well menu'>
            <ul class="nav nav-list">
                <li class="nav-header">Opcions</li>
                <li><a href='#canvi-contrasenya' data-toggle='modal'><i class="icon-wrench"></i> Canviar contrasenya</a></li>
                <li><a href='#canvi-mail' data-toggle='modal'><i class="icon-wrench"></i> Canviar correu electrònic</a></li>
                <li><a href='#canvi-foto' data-toggle='modal'><i class="icon-wrench"></i> Canviar foto de perfil</a></li>
            </ul>
        </div>
    </div>
</div>

<!-- MODAL Canviar foto de perfil -->
<div id='canvi-foto' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Canvi foto de perfil</h3>
    </div>
    <?php echo form_open_multipart('', array('class' => 'form-horizontal', 'id' => 'form-foto')); ?>
    <div class='modal-body'>
        <span id='errors-foto'></span>
        <div class='control-group'>
            <div class='center'>
                <div class="fileupload fileupload-new" data-provides="fileupload">
                    <div class="fileupload-new thumbnail"></div>
                    <div class="fileupload-preview fileupload-exists thumbnail"></div>
                    <div>
                        <span class="btn btn-file">
                            <span class="fileupload-new">Escull la foto</span>
                            <span class="fileupload-exists">Canviar</span>
                            <input type="file" name="foto" id="foto" />
                        </span>
                        <a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Esborrar</a>
                    </div>
                    <span class="help-block">Màxim 300 x 200px. Mida màxima: 300kb</span>
                </div>
            </div>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true' onClick='this.form.reset();
                    $("#errors-foto").html("");'>Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-foto' data-loading-text="Desant...">Desar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<!-- MODAL Canviar contrasenya -->
<div id='canvi-contrasenya' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Canvi contrasenya</h3>
    </div>
    <?php echo form_open('', array('class' => 'form-horizontal', 'id' => 'form-contrasenya')); ?>
    <div class='modal-body'>
        <span id='errors-contrasenya'></span>
        <div class='control-group'>
            <label class='control-label' for="password">Nova contrasenya:</label>
            <div class='controls'>
                <div class="input-prepend">
                    <span class="add-on"><i class="icon-lock"></i></span>
                    <input type="password" name="contrasenya" id="contrasenya" required autofocus="autofocus" />
                </div>
            </div>
        </div>
        <div class='control-group'>
            <label class='control-label' for="contrasenya2">Confirmar contrasenya:</label>
            <div class='controls'>
                <div class="input-prepend">
                    <span class="add-on"><i class="icon-lock"></i></span>
                    <input type="password" name="contrasenya2" id="contrasenya2" required />
                </div>
            </div>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' onClick='this.form.reset();
                    $("#errors-contrasenya").html("");'>Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-contrasenya' data-loading-text="Desant...">Desar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<!-- MODAL Canviar correu electrònic -->
<div id='canvi-mail' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Canvi correu electrònic</h3>
    </div>
    <?php echo form_open('', array('class' => 'form-horizontal', 'id' => 'form-mail')); ?>
    <div class='modal-body'>
        <span id='errors-mail'></span>
        <div class='control-group'>
            <div class='center'>
                <div class="input-prepend">
                    <span class="add-on"><i class="icon-envelope"></i></span>
                    <input class="span4" type="text" name="mail" id="mail" placeholder="Nova adreça electrònica" required />
                </div>
            </div>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true'
                onClick='this.form.reset(); $("#errors-mail").html("");'>Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-mail' data-loading-text="Desant...">Desar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<script type='text/javascript'>
    $(document).ready(function() {
        $('.fileupload').fileupload();

        $('#form-foto').submit(function(e) {
            e.preventDefault();

            $('#errors-foto').html('');
            $('#submit-foto').button('loading');

            $.ajaxFileUpload({
                url: '<?php echo base_url('perfil/canvi_foto'); ?>',
                secureuri: false,
                fileElementId: 'foto',
                dataType: 'json',
                complete: function(result)
                {
                    if ((result.responseText).indexOf('foto') !== -1)
                    {
                        result = JSON.parse(result.responseText);
                        $('.foto-perfil').attr('src', '<?php echo asset_url(); ?>uploads/fotos_perfil/' + result.foto + '?' + Math.random().toString(36).substring(7));
                        $('#canvi-foto').modal('hide');
                        $('#submit-foto').button('reset');
                        $('#content').append('<div class="messages message-success message-fixed">Foto de perfil actualitzada correctament</div>');
                        processaMessages();
                        $('#form-foto')[0].reset();
                        $('.fileupload').fileupload();
                    }
                    else if ((result.responseText).indexOf('auth') === -1)
                    {
                        $('#submit-foto').button('reset');
                        $('#errors-foto').html('<div class="messages message-error">' + result.responseText + '</div>');
                    }
                    else
                    {
                        location.reload(true);
                    }
                }
            });
            
            $('.fileupload').fileupload('reset');
        });

        $('#form-contrasenya').submit(function(e) {
            e.preventDefault();

            $.ajax({
                type: 'post',
                url: '<?php echo base_url('perfil/canvi_contrasenya'); ?>',
                cache: false,
                data: $('#form-contrasenya').serialize(),
                dataType: 'json',
                beforeSend: function() {
                    $('#errors-contrasenya').html('');
                    $('#submit-contrasenya').button('loading');
                },
                complete: function() {
                    $('#submit-contrasenya').button('reset');
                },
                success: function(result) {
                    if (result.status === 'ok')
                    {
                        $('#content').append('<div class="messages message-success message-fixed">Contrasenya canviada correctament</div>');
                        $('#canvi-contrasenya').modal('hide');
                        processaMessages();
                        $('#form-contrasenya')[0].reset();
                    }
                    else
                    {
                        $('#errors-contrasenya').html('<div class="messages message-error">' + result.error + '</div>');
                    }
                },
                error: function() {
                    $('#errors-contrasenya').html('<div class="messages message-error">S\'ha produït un error.</div>');
                }
            });
        });

        $('#form-mail').submit(function(e) {
            e.preventDefault();

            $.ajax({
                type: 'post',
                url: '<?php echo base_url('perfil/canvi_mail'); ?>',
                cache: false,
                data: $('#form-mail').serialize(),
                dataType: 'json',
                beforeSend: function() {
                    $('#errors-mail').html('');
                    $('#submit-mail').button('loading');
                },
                complete: function() {
                    $('#submit-mail').button('reset');
                },
                success: function(result) {
                    if (result.status === 'ok')
                    {
                        $('#content').append('<div class="messages message-success message-fixed">S\'ha enviat un correu electrònic de confirmació</div>');
                        $('#canvi-mail').modal('hide');
                        processaMessages();
                        $('#form-mail')[0].reset();
                    }
                    else
                    {
                        $('#errors-mail').html('<div class="messages message-error">' + result.error + '</div>');
                    }
                },
                error: function() {
                    $('#errors-mail').html('<div class="messages message-error">S\'ha produït un error.</div>');
                }
            });
        });
    });
</script>
