<div class='center'>
    <h1>Incidència #<?php echo $incidencia->id_incidencia; ?></h1>
</div>

<?php echo $this->messages->output(); ?>

<ul class="nav nav-tabs" id="tabs">
    <li class="active"><a href="#dades" data-toggle="tab">Dades</a></li>
    <li><a href="#notes" data-toggle="tab">Notes Seguiment</a></li>
    <?php
    if ($solucions) {
        ?>
        <li><a href="#solucio" data-toggle="tab">Solució</a></li>
        <?php
    }
    ?>
</ul>

<div id="content" class="tab-content content-base">
    <!-- Dades incidència -->
    <div class="tab-pane fade in active" id="dades">
        <div class="page-header">
            <div class="row-fluid">
                <div class="span9">
                    <h2>
                        <?php echo $incidencia->titol; ?>
                        <br/><small>Motiu: <?php echo $incidencia->motiu_descripcio; ?></small>
                    </h2>
                </div>
                <div class="span3 right">
                    <h2><small><?php echo date("d/m/Y H:i", strtotime($incidencia->added_on)); ?></small></h2>
                </div>
            </div>
        </div>
        <div class='row-fluid'>
            <div class="span8">
                <?php echo $incidencia->descripcio; ?>
                <?php if ($incidencia->fitxer_adjunt) { ?>
                    <div class="center">
                        <br/>
                        <i class="icon-download-alt"></i>
                        Adjunt: <a href="<?php echo asset_url() . 'uploads/adjunts_incidencia/' .$incidencia->fitxer_adjunt; ?>" target="_blank"><?php echo $incidencia->fitxer_adjunt; ?></a>
                    </div>
                <? } ?>
            </div>
            <div class='span4'>
                <div class="well">
                    <div class="row-fluid">
                        <div class="span8">
                            <strong>Estat:</strong> <span id="nou_estat" class="label estat-<?php echo $incidencia->estat; ?>"><?php echo $incidencia->estat_nom; ?></span>
                        </div>
                        <?php if ($incidencia->estat === "4" && time() <= strtotime($incidencia->updated_on) + config_item('hores_reobre_incidencia')*3600) { ?>
                            <div class="span4 right" id="div-reobrir">
                                <a class="reobrir" href="#"><i class="icon-wrench tetooltip" title="Reobrir incidència"></i></a>
                            </div>
                        <?php } ?>
                    </div>
                    <div class="row-fluid">
                        <div class="span12">
                            <strong>Prioritat:</strong> <span class="badge prioritat-<?php echo $incidencia->prioritat; ?>"><?php echo ucfirst($incidencia->prioritat); ?></span>
                        </div>
                    </div>
                    <?php if ($incidencia->gestor_assignat) { ?>
                        <div class="row-fluid">
                            <div class="span12 tetooltip" title="<?php echo $incidencia->gestor_nom; ?>">
                                <strong>Gestor assignat:</strong>
                                <?php echo $incidencia->gestor_assignat; ?>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                
                <div class="center">
                    <small>
                        Actualitzada:  <?php echo date('d/m/Y H:i:s', strtotime($incidencia->updated_on)); ?>
                    </small>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Notes seguiment -->
    <div class="tab-pane fade" id="notes">
        <?php if ($incidencia->estat !== "4") { ?>
        <p class="right"><a href='#nota-seguiment' data-toggle='modal' class="btn btn-primary"><i class="icon-plus icon-white"></i> Afegir nota</a></p>
        <?php } ?>
        <div id="notes-seguiment">
            <!-- Ajax -->
        </div>
    </div>

    <!-- Solució -->
    <div class="tab-pane fade" id="solucio">
        <div id="solucions">
            <!-- Ajax -->
        </div>
    </div>
</div>

<!-- MODAL Afegir nota seguiment -->
<div id='nota-seguiment' class='modal hide fade'>
    <div class='modal-header'>
        <h3>Nova nota de seguiment</h3>
    </div>
    <?php echo form_open('', array('class' => 'form-horizontal', 'id' => 'form-nota-seguiment')); ?>
    <input type="hidden" name="incidencia" value="<?php echo $incidencia->id_incidencia; ?>">
    <input type="hidden" name="estat" id="estat" value="<?php echo $incidencia->estat; ?>">
    <input type="hidden" name="gestor_assignat" id="gestor_assignat" value="<?php echo $incidencia->gestor_assignat; ?>">
    <div class='modal-body'>
        <span id='errors-nota-seguiment'></span>
        <div class="center">
            <textarea name='nota' id='nota' class="span6" required placeholder='Escriu el missatge que vols fer arribar al gestor' rows="4"></textarea>
        </div>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true' onClick='this.form.reset();
                    $("#errors-nota-seguiment").html("");'>Cancel·lar</button>
        <button type='submit' class='btn btn-primary' id='submit-nota-seguiment' data-loading-text="Desant...">Desar</button>
    </div>
    <?php echo form_close(); ?>
</div>

<script type='text/javascript'>
    $(document).ready(function() {       
        /* Carrega notes seguiment */
        $("#notes-seguiment").load("<?php echo base_url('incidencies/veure_notes_seguiment/'.$incidencia->id_incidencia); ?>");
        $("#solucions").load("<?php echo base_url('incidencies/veure_solucions/'.$incidencia->id_incidencia); ?>");
        
        // Permet enllaç directament a pestanyes
        handleTabLinks();
        
        /* Satisfacció solucions */
        $("body").on("click", ".btn-group a", function(e){
            if ($(this).hasClass('disabled') || $(this).hasClass('active')) return false;
            var valoracio = '';
            if ($(this).hasClass('btn-success')) valoracio = '1';
            else if ($(this).hasClass('btn-danger')) valoracio = '2';
            var solucio = $(this).attr('id');
            
            $.ajax({
                type: 'post',
                url: '<?php echo base_url('solicitant/incidencies/valora_solucio'); ?>',
                cache: false,
                data: { solucio: solucio,
                        valoracio: valoracio,
                        <?php echo $this->security->get_csrf_token_name(); ?>: '<?php echo $this->security->get_csrf_hash(); ?>'},
                dataType: 'json',
                beforeSend: function()
                {
                    $('#'+solucio+ '.btn-success, #'+solucio+ '.btn-danger').attr('disabled', 'disabled').addClass('disabled');
                },
                complete: function()
                {
                    $('#'+solucio+ '.btn-success, #'+solucio+ '.btn-danger').button('reset');
                },
                success: function(result)
                {
                    if (result.status === 'ok')
                    {
                        $(".messages").not(".message-fixed").fadeOut('fast').remove();
                        
                        $('#content').append('<div class="messages message-success message-fixed">Valoració guardada correctament</div>');
                        processaMessages();
                        
                        if (valoracio === '1')
                        {
                            $('#'+solucio+ '.btn-danger').addClass('btn-apagat');
                            if ($('#'+solucio+ '.btn-success').hasClass('btn-apagat')) $('#'+solucio+ '.btn-success').removeClass('btn-apagat');
                        }
                        else if (valoracio === '2')
                        {
                            $('#'+solucio+ '.btn-success').addClass('btn-apagat');
                            if ($('#'+solucio+ '.btn-danger').hasClass('btn-apagat')) $('#'+solucio+ '.btn-danger').removeClass('btn-apagat');
                        }
                    }
                    else
                    {
                        $('#content').append('<div class="messages message-error message-fixed">Hi ha hagut un error</div>');
                        processaMessages();
                        return false;
                    }
                },
                error: function()
                {
                    $('#content').append('<div class="messages message-error message-fixed">Hi ha hagut un error</div>');
                    processaMessages();
                    return false;
                }
            });
        });
        
        /* Reobrir */
        $("a.reobrir").click(function(e) {
            e.preventDefault();
            bootbox.confirm("Confirmes reobrir la incidència?", "Cancel·lar", "D'acord", function(confirmed) {
                if (confirmed)
                {
                    $.ajax({
                        type: 'post',
                        url: '<?php echo base_url('incidencies/reobre_incidencia'); ?>',
                        cache: false,
                        data: { incidencia: "<?php echo $incidencia->id_incidencia; ?>",
                                <?php echo $this->security->get_csrf_token_name(); ?>: '<?php echo $this->security->get_csrf_hash(); ?>'},
                        dataType: 'json',
                        success: function(result)
                        {
                            if (result.status === 'ok')
                            {
                                window.location.reload();
                            }
                            else
                            {
                                $('#content').append('<div class="messages message-error message-fixed">'+result.error+'</div>');
                                processaMessages();
                            }
                        },
                        error: function(result)
                        {
                            $('#content').append('<div class="messages message-error message-fixed">'+result.error+'</div>');
                                processaMessages();
                        }
                    });
                }
            });
        });
        
        /* Nova nota seguiment */
        $('#form-nota-seguiment').submit(function(e) {
            e.preventDefault();

            $.ajax({
                type: 'post',
                url: '<?php echo base_url('solicitant/incidencies/guarda_nota_seguiment'); ?>',
                cache: false,
                data: $('#form-nota-seguiment').serialize(),
                dataType: 'json',
                beforeSend: function()
                {
                    $('#errors-nota-seguiment').html('');
                    $('#submit-nota-seguiment').button('loading');
                },
                complete: function()
                {
                    $('#submit-nota-seguiment').button('reset');
                },
                success: function(result)
                {
                    if (result.status === 'ok')
                    {
                        if (result.estat !== '')
                        {
                            $('#estat').val(result.estat);
                            $('#nou_estat').html(result.estat_des);
                        }
                        $('#content').append('<div class="messages message-success message-fixed">Nota afegida correctament</div>');
                        $('#nota-seguiment').modal('hide');
                        processaMessages();
                        $('#form-nota-seguiment')[0].reset();
                        $("#notes-seguiment").load("<?php echo site_url('incidencies/veure_notes_seguiment/'.$incidencia->id_incidencia); ?>?random=" + new Date().getTime());
                    }
                    else
                    {
                        $('#errors-nota-seguiment').html('<div class="messages message-error">' + result.error + '</div>');
                    }
                },
                error: function()
                {
                    $('#errors-nota-seguiment').html('<div class="messages message-error">S\'ha produït un error.</div>');
                }
            });
        });
    });
</script>
