USE `ciau` ;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

-- -----------------------------------------------------
-- Data for table `ciau`.`departament`
-- -----------------------------------------------------
START TRANSACTION;
USE `ciau`;
INSERT INTO `ciau`.`departament` (`id_departament`, `nom`) VALUES (1, 'Suport 1r nivell');
INSERT INTO `ciau`.`departament` (`id_departament`, `nom`) VALUES (2, 'Suport general');
INSERT INTO `ciau`.`departament` (`id_departament`, `nom`) VALUES (3, 'Sistemes');
INSERT INTO `ciau`.`departament` (`id_departament`, `nom`) VALUES (4, 'Desenvolupament');

COMMIT;

-- -----------------------------------------------------
-- Data for table `ciau`.`rol`
-- -----------------------------------------------------
START TRANSACTION;
USE `ciau`;
INSERT INTO `ciau`.`rol` (`id_rol`, `nom`, `descripcio`) VALUES (1, 'solicitant', 'Sol·licitant');
INSERT INTO `ciau`.`rol` (`id_rol`, `nom`, `descripcio`) VALUES (2, 'gestor', 'Informàtic Gestor');
INSERT INTO `ciau`.`rol` (`id_rol`, `nom`, `descripcio`) VALUES (3, 'admin', 'Informàtic Administrador');

COMMIT;

-- -----------------------------------------------------
-- Data for table `ciau`.`usuari`
-- -----------------------------------------------------
START TRANSACTION;
USE `ciau`;
INSERT INTO `ciau`.`usuari` (`id_usuari`, `contrasenya`, `rol`, `nom`, `cognoms`, `email`, `foto`, `departament`, `data_baixa`, `added_on`, `updated_on`, `updated_by`) VALUES ('admin', '$2a$08$pN.EDGo1lBmma5YItiW7sOpffmDXHCrPfgEjWaeJ599z/aEE1E4pG', 3, 'Admin', 'Admin', 'no-reply@gmail.com', NULL, 2, NULL, '2013-05-23 21:59:28', '2013-05-23 21:59:28', '');

COMMIT;

-- -----------------------------------------------------
-- Data for table `ciau`.`motiu`
-- -----------------------------------------------------
START TRANSACTION;
USE `ciau`;
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (1, 'Averia ordinador', 2);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (2, 'Correu electrònic', 1);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (3, 'Explotació de dades', 4);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (4, 'Averia impressora', 2);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (5, 'Instal·lació programari', 2);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (6, 'Intranet', 4);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (7, 'Office', 2);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (8, 'Programa farmàcia', 4);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (9, 'Programa HIS', 4);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (10, 'Programa laboratori', 4);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (11, 'Programa UCI', 4);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (12, 'Tall de comunicació', 3);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (13, 'Usuari / contrasenya', 1);
INSERT INTO `ciau`.`motiu` (`id_motiu`, `descripcio`, `id_departament`) VALUES (14, 'Altres', 1);

COMMIT;

-- -----------------------------------------------------
-- Data for table `ciau`.`estat`
-- -----------------------------------------------------
START TRANSACTION;
USE `ciau`;
INSERT INTO `ciau`.`estat` (`id_estat`, `nom`, `descripcio`) VALUES (1, 'Nova', 'Incidència sense gestor assignat');
INSERT INTO `ciau`.`estat` (`id_estat`, `nom`, `descripcio`) VALUES (2, 'Assignada', 'Incidència amb gestor assignat');
INSERT INTO `ciau`.`estat` (`id_estat`, `nom`, `descripcio`) VALUES (3, 'En espera', 'Incidència en espera de més informació per part del sol·licitant');
INSERT INTO `ciau`.`estat` (`id_estat`, `nom`, `descripcio`) VALUES (4, 'Tancada', 'Incidència tancada');

COMMIT;

-- -----------------------------------------------------
-- Data for table `ciau`.`preguntaFrequent`
-- -----------------------------------------------------
START TRANSACTION;
USE `ciau`;
INSERT INTO `ciau`.`preguntaFrequent` (`id_preguntaFrequent`, `pregunta`, `solucio`, `etiquetes`, `visites`, `added_on`, `updated_by`, `updated_on`) VALUES (1, 'Com puc canviar la contrasenya?', 'Si coneixes la teva contrasenya actual per entrar a l\'ordinador i la vols canviar ho pots fer sense posar-te en contacte amb nosaltres. Tant sols has d\'entrar a la següent pàgina web, identificar-te amb les teves credencials actuals i seguir els passos: http://domini.intranet/canvia_contrasenya', 'contrasenya,usuari', 0, '2013-05-23 21:59:28', 'gestor1', '2013-05-23 21:59:28');
INSERT INTO `ciau`.`preguntaFrequent` (`id_preguntaFrequent`, `pregunta`, `solucio`, `etiquetes`, `visites`, `added_on`, `updated_by`, `updated_on`) VALUES (2, 'Com puc recuperar la contrasenya?', 'Si no recordes la teva contrasenya per entrar a l\'ordinador et donem l\'opció de recuperar-la de manera còmoda i fàcil.', 'contrasenya,usuari,perduda', 5, '2013-05-23 21:59:28', 'gestor1', '2013-05-23 21:59:28');
INSERT INTO `ciau`.`preguntaFrequent` (`id_preguntaFrequent`, `pregunta`, `solucio`, `etiquetes`, `visites`, `added_on`, `updated_by`, `updated_on`) VALUES (3, 'No es veu res a la pantalla de l\'ordinador. Què pot ser?', 'Has revisat el següent?', 'pantalla,negre,apagada,corrent', 4, '2013-05-23 21:59:28', 'gestor1', '2013-05-23 21:59:28');
INSERT INTO `ciau`.`preguntaFrequent` (`id_preguntaFrequent`, `pregunta`, `solucio`, `etiquetes`, `visites`, `added_on`, `updated_by`, `updated_on`) VALUES (4, 'El correu que he enviat no ha arribat', 'És possible que es tracti d\'un dels següents errors:', 'mail,email,correu,adjunt', 1, '2013-05-23 21:59:28', 'gestor1', '2013-05-23 21:59:28');
INSERT INTO `ciau`.`preguntaFrequent` (`id_preguntaFrequent`, `pregunta`, `solucio`, `etiquetes`, `visites`, `added_on`, `updated_by`, `updated_on`) VALUES (5, 'Com puc saber les explotacions disponibles?', 'Abans de sol·licitar una nova explotació de dades et recomanem que et miris la llista de les explotacions actuals. La podràs trobar a aquesta adreça: http://domini.intranet/llistats_pentaho', 'pentaho,explotacio,dades', 2, '2013-05-23 21:59:28', 'gestor1', '2013-05-23 21:59:28');
INSERT INTO `ciau`.`preguntaFrequent` (`id_preguntaFrequent`, `pregunta`, `solucio`, `etiquetes`, `visites`, `added_on`, `updated_by`, `updated_on`) VALUES (6, 'Què li passa a la meva impressora?', 'Quan una impressora no funciona abans de res hem de revisar el següent:', 'impressora,imprimir,impressio', 4, '2013-05-23 21:59:28', 'gestor1', '2013-05-23 21:59:28');
INSERT INTO `ciau`.`preguntaFrequent` (`id_preguntaFrequent`, `pregunta`, `solucio`, `etiquetes`, `visites`, `added_on`, `updated_by`, `updated_on`) VALUES (7, 'Tens problemes de xarxa?', '- Si has pogut entrar a l\'ordinador i el problema és que no pots accedir a Internet prova d\'utilitzar un altre navegador web dels dos que tens instal·lats.<br />', 'xarxa,internet,intranet', 10, '2013-05-23 21:59:28', 'gestor1', '2013-05-23 21:59:28');

COMMIT;

-- -----------------------------------------------------
-- Data for table `ciau`.`preguntaFrequent_motius`
-- -----------------------------------------------------
START TRANSACTION;
USE `ciau`;
INSERT INTO `ciau`.`preguntaFrequent_motius` (`id_preguntaFrequent`, `id_motiu`) VALUES (1, 13);
INSERT INTO `ciau`.`preguntaFrequent_motius` (`id_preguntaFrequent`, `id_motiu`) VALUES (2, 13);
INSERT INTO `ciau`.`preguntaFrequent_motius` (`id_preguntaFrequent`, `id_motiu`) VALUES (3, 1);
INSERT INTO `ciau`.`preguntaFrequent_motius` (`id_preguntaFrequent`, `id_motiu`) VALUES (3, 12);
INSERT INTO `ciau`.`preguntaFrequent_motius` (`id_preguntaFrequent`, `id_motiu`) VALUES (4, 2);
INSERT INTO `ciau`.`preguntaFrequent_motius` (`id_preguntaFrequent`, `id_motiu`) VALUES (5, 3);
INSERT INTO `ciau`.`preguntaFrequent_motius` (`id_preguntaFrequent`, `id_motiu`) VALUES (6, 4);
INSERT INTO `ciau`.`preguntaFrequent_motius` (`id_preguntaFrequent`, `id_motiu`) VALUES (7, 12);

COMMIT;
